Subject: [bug#66801] [PATCH] build-system: Add mix-build-system.

From: Pierre-Henry Fröhring <[email-masked]>
Date: Fri, 08 Dec 2023 11:17:23 +0100

If this series works for you, it ought to work for us as well.  The important thing
      is that immediate results can be verified to build.

Great. So here comes the series of patches. The list of all patches is:
┌────
│ 0001-build-system-Add-mix-build-system.patch
│ 0002-gnu-elixir-Wrap-binaries.patch
│ 0003-gnu-Add-elixir-hex.patch
│ 0004-gnu-Add-elixir-nimble-parsec.patch
│ 0005-gnu-Add-elixir-makeup.patch
│ 0006-gnu-Add-elixir-jason.patch
│ 0007-gnu-Add-elixir-file-system.patch
│ 0008-gnu-Add-elixir-bunt.patch
│ 0009-gnu-Add-elixir-inch-ex.patch
│ 0010-gnu-Add-elixir-castore.patch
│ 0011-gnu-Add-elixir-excoveralls.patch
│ 0012-gnu-Add-elixir-credo.patch
│ 0013-gnu-Add-elixir-erlex.patch
│ 0014-gnu-Add-elixir-dialyxir.patch
│ 0015-gnu-Add-elixir-machete.patch
└────

I will start with the first 3. To test them, I have issued the following command:
┌────
│ ./pre-inst-env guix build elixir-hex
└────

which result was:
┌────
│ …
│ successfully built /gnu/store/1732zx2s5afv1da5vhik0gr923frvg35-elixir-hex-2.0.5.drv
│ /gnu/store/hak603f9adwad1vrlqkqn6ywgissfb13-elixir-hex-2.0.5
└────

If everything is correct, I will send the other ones.

Cheers.